using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using MadRunFabric.Common;
using Microsoft.AspNetCore.Authorization;

// For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860

namespace WorkOrderApi.Controllers.Info
{
    //[Authorize]
    [ApiVersion("6.0")]
    [Produces("application/json")]
    [Route("api/info")]
    public class InfoController : BaseController
    {
        [HttpGet]
        public IEnumerable<string> Get()
        {
            return new string[] { $"版本信息 {RequestedApiVersion}", "开发团队: Mad Fun Fabric" };
        }

        protected ApiVersion RequestedApiVersion => HttpContext.GetRequestedApiVersion();
    }
}
